.PHONY: build push hub build_reg push_reg registry all

#modded_mc = siverten/magma siverten/rlcraft
#mc_contexts = $(modded_mc) siverten/papermc siverten/waterfall
#game_contexts = $(mc_contexts) siverten/tshock

contexts = siverten/bind9 siverten/oxen siverten/tor # $(game_contexts)

build:
	$(foreach context,$(contexts),docker build --pull $(context) -t $(context);)
push:
	$(foreach context,$(contexts),docker push $(context);)
hub: build push


reg_contexts = #xmr-stak

build_reg:
	$(foreach context,$(reg_contexts),docker build --pull $(context) -t $(context);docker tag $(context) registry.42069.no/$(context))
push_reg:
	$(foreach context,$(reg_contexts),docker push registry.42069.no/$(context);)


registry: build_reg push_reg
all: hub registry

